=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6config-dev (>= 6.10.0~),
@@ -27,13 +26,13 @@
                libpolkit-qt6-1-dev,
                libsystemd-dev [linux-any],
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
 Rules-Requires-Root: no
 
 Package: drkonqi
@@ -43,8 +42,7 @@
          qml6-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: python3-psutil, python3-sentry-sdk
-Suggests: systemd-coredump [linux-any],
+Recommends: python3-psutil, python3-sentry-sdk, systemd-coredump [linux-any],
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .
