=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
