## drkonqi 6.3.5

=== debian/changelog ===
drkonqi (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:39 +0100

drkonqi (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:53:48 +0100

drkonqi (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:15:36 +0000

drkonqi (6.3.2-1ubuntu2) plucky; urgency=medium

  * Demote systemd-coredump back to suggests. We have apport.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 08:16:48 +0000

drkonqi (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Demote systemd-coredump to Suggests.
    - Don't install systemd-coredump postinst/postrm as we use apport.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 15:05:40 +0000

drkonqi (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:14:29 +0000

drkonqi (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:21:36 +0000

drkonqi (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:53:26 +0000

drkonqi (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:09 +0000
