=== debian/changelog ===
drkonqi (6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:07 +0200

drkonqi (6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 16:57:15 +0200

drkonqi (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Depend on elfutils for eu-unstrip binary.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:04 +0100
