## drkonqi 6.4.5+p24.04+vstable+git20251015.1500

=== debian/changelog ===
drkonqi (6.4.5+p24.04+vstable+git20251015.1500-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:00:53 +0000
