## drkonqi 6.4.5+p24.04+vstable+git20251019.0248

=== debian/changelog ===
drkonqi (6.4.5+p24.04+vstable+git20251019.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:48:26 +0000
