## drkonqi 6.4.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.91")
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -67,7 +67,6 @@
 find_package(Python3 3.11 COMPONENTS Interpreter)
 
 find_pythonmodule(psutil)
-find_pythonmodule(pygdbmi)
 find_pythonmodule(sentry_sdk)
 
 find_package(GDB 12)
